#ifndef STEPPERSENSORS_HPP
#define STEPPERSENSORS_HPP
#include <utility>
#include "steppersensorpins.hpp"
#include "steppersensorlisteners.hpp"

class StepperSensors {
    StepperSensorListeners* stepper_sensors_listeners;
public:
    StepperSensors(StepperSensorPins* ssp);

    bool get_top_state();
    bool get_bottom_state();
    bool is_in_equilibrium();
};

#endif
