#include "ensurerange.hpp"
#include "swap.hpp"

template<typename T>
T ensure_range(T low, T val, T high){
    if(low>high) swap_ref(low, high);
    if(val<low) val=low;
    if(val>high) val=high;
    return val;
}

template float ensure_range<float>(float, float, float);
